Get transaction details using bill number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v2/transactions/getByBillNumber/testTZ1' \
--header 'Authorization: Basic bmhNGNjZGMzMzQzMWVmOWFjOQ==' \
--header 'Cookie: _cfuvid=7hXrm0hlY6PK.uIUfWNV_NmfVOT4Cmsn.3jaI1blBUo-1760427011419-0.0.1.1-604800000; _cfuvid=rPQf0Z6NuvUQE_hHRmEP_FquSuw6yCBFG0acII_6b0s-1769169957411-0.0.1.1-604800000'

Example response

{
    "pagination": {
        "limit": 100,
        "offset": 0,
        "total": 1
    },
    "data": [
        {
            "useDefaultFleetGroup": false,
            "loyaltiesPointDetails": [],
            "billPointsBreakup": [],
            "attribution": {
                "createDate": "2026-01-23T03:30:00Z",
                "createdBy": {
                    "id": 75155297,
                    "code": "tj_capillary",
                    "description": "",
                    "name": "tj_capillary",
                    "type": "TILL",
                    "referenceId": -1,
                    "adminType": "GENERAL",
                    "isActive": true,
                    "isOuEnabled": false,
                    "timeZoneId": 191,
                    "currencyId": 95,
                    "languageId": 148,
                    "default": false
                },
                "modifiedBy": {
                    "referenceId": -1,
                    "default": false
                },
                "modifiedDate": "2026-01-23T10:19:54Z"
            },
            "billDetails": {
                "amount": 2000,
                "billingStore": {
                    "id": 75152715,
                    "code": "doc123",
                    "description": "",
                    "name": "DocStore",
                    "type": "STORE",
                    "referenceId": -1,
                    "adminType": "GENERAL",
                    "isActive": true,
                    "isOuEnabled": false,
                    "timeZoneId": 191,
                    "currencyId": 95,
                    "languageId": 148,
                    "default": false
                },
                "billNumber": "testTZ1",
                "billingTime": "2026-01-23T03:30:00Z",
                "discount": 0,
                "grossAmount": 2000,
                "note": "Regular Tranasction number 114 reaching 100% of the enrolled milestone value for the day",
                "returnDetails": {
                    "canceled": false
                },
                "niReturnDetails": {},
                "invalidBill": false,
                "billingTimeInputOffset": "+05:30"
            },
            "customFields": {
                "booking_date": "2025-07-30",
                "origin": "instore",
                "paymentmode": "card"
            },
            "source": "instore",
            "addWithLocalCurrency": false,
            "async": false,
            "useV2": false,
            "simulation": false,
            "customerId": 564582355,
            "deliveryStatus": "DELIVERED",
            "id": 896772991,
            "lineItems": [
                {
                    "id": 4049944215,
                    "customerId": 0,
                    "details": {
                        "amount": 2000,
                        "description": "Wood Table",
                        "discount": 0,
                        "itemCode": "model_id_003",
                        "qty": 1,
                        "rate": 2000,
                        "serial": 0,
                        "value": 2000,
                        "returnable": true,
                        "returnableDays": -1,
                        "attributes": {},
                        "extendedFields": {},
                        "newExtendedFields": {},
                        "attributesSet": []
                    },
                    "outlierStatus": "NORMAL",
                    "returnDetails": {},
                    "valid": true,
                    "returnLineItemsDtos": [],
                    "niReturnLineItemsDtos": [],
                    "addonDetails": [],
                    "splitItemsDetails": [],
                    "niReturn": false
                }
            ],
            "outlierStatus": "NORMAL",
            "type": "REGULAR",
            "warnings": [],
            "lifeTimePurchases": 0,
            "ignorePoints": false,
            "extendedFields": {
                "event_input_date_offset": "+05:30"
            },
            "autoUpdateTime": "2026-01-23T10:19:54Z",
            "niReturnDetails": {},
            "basketSize": 1,
            "retroTxn": false,
            "returnDetails": {
                "canceled": false
            }
        }
    ],
    "warnings": [],
    "errors": []
}

Parameter NameTypeDescription
paginationObjectContains pagination details for the response.
• limitIntegerMaximum number of records to return per page.
• offsetIntegerStarting index of records for the current page.
• totalIntegerTotal number of records available.
dataArrayList of transaction or bill objects.
• idLongUnique identifier for the transaction record.
• customerIdLongUnique identifier of the customer associated with the transaction.
• sourceStringSource of the transaction (for example, instore).
• typeStringType of transaction (for example, REGULAR).
• deliveryStatusStringCurrent delivery status of the order (for example, DELIVERED).
• outlierStatusStringIndicates whether the transaction is an outlier (for example, NORMAL).
• basketSizeIntegerTotal number of items in the transaction.
• billDetailsObjectContains financial and timing details of the bill.
••• amountDoubleNet amount of the bill.
••• grossAmountDoubleTotal amount before discounts.
••• billNumberStringReceipt or bill number.
••• billingTimeString

Indicates the bill creation date and time in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

••• billingTimeInputOffsetStringPreserves the original local timezone offset in which the transaction happened (billingDate in the Add transaction ).
••• noteStringInternal notes or comments for the transaction.
••• billingStoreObjectStore where the transaction occurred.
•••• idLongStore identifier.
•••• codeStringInternal store code.
•••• nameStringDisplay name of the store.
• attributionObjectAudit information for record creation and modification.
••• createDateISO-8601Timestamp when the record was created.
••• modifiedDateISO-8601

Timestamp of the last modification in ISO 8601 format, returned in the server time zone.

EU server example 2026-01-27T10:22:45Z → 27 January 2026, 10:22:45 (UTC)

India server example 2026-01-27T15:52:45+05:30 → 27 January 2026, 15:52:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

• lineItemsArrayBreakdown of individual items in the transaction.
••• idLongUnique identifier for the line item.
••• detailsObjectDetails of the line item.
•••• itemCodeStringProduct SKU or item code.
•••• qtyIntegerQuantity purchased.
•••• rateDoubleUnit price of the item.
•••• amountDoubleTotal amount for the line item (qty × rate).
• customFieldsObjectUser-defined metadata (for example, payment mode, origin).
• extendedFieldsObjectSystem-level metadata (for example, event input date offset).
• asyncBooleanIndicates whether the request was processed asynchronously.
• simulationBooleanIndicates whether this is a simulated transaction.
warningsArrayList of warning messages returned by the API.
errorsArrayList of error messages returned by the API, if any.

Path Params
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json